Get All Sessions

Retrieves a paginated list of sessions for a specific event. Returns session scheduling, capacity, track, and configuration details.

Requires event_id as a query parameter. Use fields to control which fields are returned. Use search to filter by any session field (e.g., date=2025-08-08, session_status=live, name=*keynote*). Supports operators: =, !=, >=, <=, >, <, *contains*, *beginswith*, *endswith*.

Use expand to include related objects: speakers, location, track, translations, sessionAttendance, registrantCount, reservedCount, earlyBirds. Results are paginated with a maximum of 200 per page.

Available Fields

These are the standard fields available for configuring a session:

NameTypeDescription
idintegerUnique identifier for the session.
event_idintegerID of the event associated with this session.
namestringTitle or name of the session.
admin_short_namestringAdmin-specific short name for internal usage.
badge_namestringDisplay name on attendee badges.
descriptionstringDetailed description of the session.
datestring (date)The date when the session will take place.
start_timestring (time)Start time of the session.
end_timestring (time)End time of the session.
use_event_timezoneintegerWhether the event's default timezone is applied to the session.
timezonestringTimezone for the session (see TZ Identifier column in the List of TZ Database Time Zones).
capacityintegerMaximum number of attendees allowed.
location_idintegerIdentifier for the location.
track_idintegerIdentifier for the session's track.
selection_controlstringSpecifies whether the session is optional or included by default, setting the value 'session_included'.
webinar_urlstring (uri)URL for the webinar if the session is virtual.
sold_out_messagestringCustom message displayed when the session is sold out.
secure_idstringSecure identifier for the session.
session_statusstringCurrent status of the session. Possible values: submitted, approved, rejected, converted, live.
locked_when_savedbooleanWhether the session is locked after being saved.
selected_by_defaultbooleanIndicates if the session is selected by default for attendees.
prevent_session_conflictsbooleanWhether should prevent conflicts with other sessions when selecting this session.
custom_fieldsobjectCustom fields associated with the session. Key-value pairs can be dynamic.
Extra Fields

This is the extra information that can be returned if required by specifying what you need in the expand variable:

NameTypeDescription
speakersobjectList of speakers assigned to this session
locationobjectSelected Location for this event
trackobjectSelected track for this event
translationsobjectCustom translations set for this event
sessionAttendanceobjectSession Attendance Information
registrantCountobjectNumber of Registrants registered to this session
reservedCountobjectNumber of Reserved seats for this session
earlyBirdsobjectList all available early birds for this session
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

integer - required - The ID of the event you want to retrieve sessions for

string

string - optional - Comma separated list of fields you want to return

string

string - optional - Comma separated list of objects you want to return

string

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

string

integer - optional - The page of results you want to view

string

integer - optional - The number of results per page (to a max of 200)

string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Responses

Language
Credentials
Bearer
access_token
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json